local L = AceLibrary("AceLocale-2.2"):new("NinjutFu")
local dewdrop = AceLibrary("Dewdrop-2.0")

--[[ Broken :'(
function NinjutFu:ApplyRow(poison, hand)
	if NinjutFu.itemCounts[poison] and NinjutFu.itemCounts[poison] ~= 0 then
		dewdrop:AddLine(
			'text', GetItemInfo(poison),
			'func', function()
					NinjutFu:ApplyPoison(poison, ((hand == "MH") and 16 or 17))
				end
		)
	end
end ]]--

function NinjutFu:OnMenuRequest(level, value, inTooltip, valueN_1, valueN_2, valueN_3, valueN_4)
	if level == 1 then
--[[ Broken :'(
		dewdrop:AddLine(
			'text', L["Apply to MH"],
			'hasArrow', true,
			'value', "MH"
		)
		dewdrop:AddLine(
			'text', L["Apply to OH"],
			'hasArrow', true,
			'value', "OH"
		)
		dewdrop:AddLine() ]]--
		dewdrop:AddLine(
			'text', L["Options"],
			'tooltipTitle', L["Options"],
			'tooltipText', L["OptionsDesc"],
			'hasArrow', true,
			'value', "options"
		)
	elseif level == 2 then
		--[[ Broken :'(
		if value == "MH" or value == "OH" then
			for itemid in NinjutFu:IterCategoryItems(L["Poisons"]) do
				NinjutFu:ApplyRow(itemid, value)
			end
			dewdrop:AddLine()
			for itemid in NinjutFu:IterCategoryItems(L["Stones"]) do
				NinjutFu:ApplyRow(itemid, value)
			end
		else ]]--
		if value == "options" then
			dewdrop:AddLine(
				'text', L["buyFlash"],
				'tooltipTitle', L["buyFlash"],
				'tooltipText', L["buyFlashDesc"],
				'checked', NinjutFu.db.profile.buyFlash,
				'func', function() NinjutFu.db.profile.buyFlash = not NinjutFu.db.profile.buyFlash end
			)
			dewdrop:AddLine(
				'text', L["threshCount"],
				'tooltipTitle', L["threshCount"],
				'tooltipText', L["threshCountDesc"],
				'hasArrow', true,
				'hasSlider', true,
				'sliderMax', 100,
				'sliderValue', NinjutFu.db.profile.threshCount,
				'sliderStep', 5,
				'sliderFunc', function(v) NinjutFu.db.profile.threshCount = v end
			)
			dewdrop:AddLine()
			dewdrop:AddLine(
				'text', L["Text Options"],
				'tooltipTitle', L["Text Options"],
				'tooltipText', L["TextOptsDesc"],
				'isTitle', true
			)
			dewdrop:AddLine(
				'text', L["Show Flash Powder"],
				'tooltipTitle', L["Show Flash Powder"],
				'tooltipText', L["ShowFlashDesc"],
				'checked', NinjutFu.db.profile.showFlash,
				'func', function()  NinjutFu.db.profile.showFlash = not NinjutFu.db.profile.showFlash; NinjutFu:UpdateText() end
			)
			dewdrop:AddLine(
				'text', L["Show Blinding Powder"],
				'tooltipTitle', L["Show Blinding Powder"],
				'tooltipText', L["ShowBlindDesc"],
				'checked', NinjutFu.db.profile.showBlind,
				'func', function()  NinjutFu.db.profile.showBlind = not NinjutFu.db.profile.showBlind; NinjutFu:UpdateText() end
			)
			dewdrop:AddLine(
				'text', L["Show Thistle Tea"],
				'tooltipTitle', L["Show Thistle Tea"],
				'tooltipText', L["ShowTeaDesc"],
				'checked', NinjutFu.db.profile.showTea,
				'func', function()  NinjutFu.db.profile.showTea = not NinjutFu.db.profile.showTea; NinjutFu:UpdateText() end
			)
			dewdrop:AddLine(
				'text', L["Compact Mode"],
				'tooltipTitle', L["Compact Mode"],
				'tooltipText', L["CompactModeDesc"],
				'checked', NinjutFu.db.profile.compactMode,
				'func', function()  NinjutFu.db.profile.compactMode = not NinjutFu.db.profile.compactMode; NinjutFu:UpdateText() end
			)
			dewdrop:AddLine()
			dewdrop:AddLine(
				'text', L["Tooltip Options"],
				'tooltipTitle', L["Tooltip Options"],
				'tooltipText', L["TooltipOptsDesc"],
				'isTitle', true
			)
			dewdrop:AddLine(
				'text', L["Show Titles"],
				'tooltipTitle', L["Show Titles"],
				'tooltipText', L["ShowTitlesDesc"],
				'checked', NinjutFu.db.profile.showTipTitles,
				'func', function()  NinjutFu.db.profile.showTipTitles = not NinjutFu.db.profile.showTipTitles; NinjutFu:UpdateTooltip() end
			)
			for category in NinjutFu:IterItemCategories() do
				dewdrop:AddLine(
					'text', string.format(L["Show %s"], L[category]),
					'tooltipTitle', string.format(L["Show %s"], L[category]),
					'tooltipText', string.format(L["ShowCatDesc"], L[category]),
					'checked', not string.find(NinjutFu.db.profile.tooltipSkipCategories, category .. ":"),
					'func', function()
							if string.find(NinjutFu.db.profile.tooltipSkipCategories, category .. ":") == nil then
								NinjutFu.db.profile.tooltipSkipCategories = NinjutFu.db.profile.tooltipSkipCategories .. category .. ":"
							else
								NinjutFu.db.profile.tooltipSkipCategories = string.gsub(NinjutFu.db.profile.tooltipSkipCategories, category .. ":", "")
							end
						end
				)
			end
		end
	end
end
