local L = AceLibrary("AceLocale-2.2"):new("NinjutFu")
local tablet = AceLibrary("Tablet-2.0")
local crayon = AceLibrary("Crayon-2.0")

function NinjutFu:OnTooltipUpdate()
	local cat = tablet:AddCategory(
		'columns', 2,
		'child_textR', 1,
		'child_textG', 1,
		'child_textB', 1,
		'child_textR2', 1,
		'child_textG2', 1,
		'child_textB2', 1
	)

	for category in self:IterItemCategories() do
		if string.find(self.db.profile.tooltipSkipCategories, category .. ":") == nil then
			if (self.db.profile.showTipTitles) then
				cat:AddLine('text', crayon:Green(L[category]))
			end
			for itemid in self:IterCategoryItems(category) do
				if self.itemCounts[itemid] and self.itemCounts[itemid] ~= 0 then
					cat:AddLine('text', GetItemInfo(itemid), 'text2', self:Colorize(self.itemCounts[itemid], (itemid == 5140) and self.db.profile.threshCount or (itemid == 7676 and 10 or 20)))
				end
			end
			cat:AddLine()
		end
	end
--	tablet:SetHint(L["Hint"])
end
